Lists Lookalike audiences.
The order is defined by the orderBy parameter.
HTTP request
GET https://displayvideo.googleapis.com/v5/lookalikeAudiences
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by Lookalike audience fields. Supported syntax:
Supported fields:
Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Required. Identifies which DV360 entity the request is being made within. The LIST request will only return Lookalike audience entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
partnerId |
The ID of the partner that has access to the fetched Lookalike audiences. |
advertiserId |
The ID of the advertiser that has access to the fetched Lookalike audiences. |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
Response message for LookalikeAudienceService.ListLookalikeAudiences.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"lookalikeAudiences": [
{
object ( |
| Fields | |
|---|---|
lookalikeAudiences[] |
The list of Lookalike audiences. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.